Git 2.14.1 and Bitbucket 4.14 datacenter ?

Hello,

Can i upgrade git to 2.14.1 on our bitbucket datacenter running 4.14 ?

Refering to security issue CVE -2017-1000117

http://marc.info/?l=linux-kernel&m=150238802328673&w=2

 

 

1 answer

Based on Atlassian's official "supported git versions" document for Bitbucket 4.14, I'd recommend Git 2.11.3.   It also has a fix for "CVE-2017-1000117".

From the announcement on Git's mailing list, here's all the fixed versions of Git with respect to that issue:

The latest maintenance release Git v2.14.1 is now available at the
usual places, together with releases for older maintenance track for
the same issue: v2.7.6, v2.8.6, v2.9.5, v2.10.4, v2.11.3, v2.12.4,
and v2.13.5.

These contain a security fix for CVE-2017-1000117

Hello,

Thanks! I saw that later that 2.11.3 alos has the fix.

Sent an mail to support and they recomemded git 2.11.3 for us.

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Nov 06, 2018 in Bitbucket

Upgrade Best Practices

Hello! My name is Mark Askew and I am a Premier Support Engineer for products Bitbucket Server/Data Center, Fisheye & Crucible. Today, I want to bring the discussion that Jennifer, Matt, and ...

242 views 3 7
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you